<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="UTF-8">
        <meta content="width=device-width, initial-scale=1.0" name="viewport">
        <title>Flex with Default Settings</title>
        <style>
            body {
                box-sizing: border-box;
            }
            .container {
                display: flex;
                border: 1px dotted #555;
                padding: 2px;
            }
            .box {
                border: 1px solid orange;
                width: 100px;
            }

            .center {
                justify-content: center;
            }
            .space-between {
                justify-content: space-between;
            }
            .space-between {
                justify-content: space-around;
            }
            .align-center {
                align-items: center;
            }
            .align-stretch {
                align-items: stretch;
            }
        </style>
    </head>
    <body>
        <h1>Flex with Default Settings</h1>
        <div class="container">
            <div class="box ">Nullam egestas lacus est, sit amet interdum eros facilisis non</div>
            <div class="box ">Aenean consectetur dolor tellus, at bibendum neque convallis vitae. Integer in faucibus justo. Nunc aliquet auctor dolor, eu pellentesque ex cursus id</div>
            <div class="box ">Sed sed fermentum tortor, tristique faucibus diam. Pellentesque gravida lobortis magna blandit pellentesque</div>
            <div class="box ">Proin finibus neque nec turpis scelerisque</div>
        </div>

        <h1>Flex with
            <code>justify-content:center</code>
        </h1>
        <div class="container center">
            <div class="box ">Nullam egestas lacus est, sit amet interdum eros facilisis non</div>
            <div class="box ">Aenean consectetur dolor tellus, at bibendum neque convallis vitae. Integer in faucibus justo. Nunc aliquet auctor dolor, eu pellentesque ex cursus id</div>
            <div class="box ">Sed sed fermentum tortor, tristique faucibus diam. Pellentesque gravida lobortis magna blandit pellentesque</div>
            <div class="box ">Proin finibus neque nec turpis scelerisque</div>
        </div>

        <h1>Flex with
            <code>justify-content:space-between</code>
        </h1>
        <div class="container space-between">
            <div class="box ">Nullam egestas lacus est, sit amet interdum eros facilisis non</div>
            <div class="box ">Aenean consectetur dolor tellus, at bibendum neque convallis vitae. Integer in faucibus justo. Nunc aliquet auctor dolor, eu pellentesque ex cursus id</div>
            <div class="box ">Sed sed fermentum tortor, tristique faucibus diam. Pellentesque gravida lobortis magna blandit pellentesque</div>
            <div class="box ">Proin finibus neque nec turpis scelerisque</div>
        </div>

        <h1>Flex with
            <code>align-items:center</code>
        </h1>
        <div class="container align-center">
            <div class="box ">Nullam egestas lacus est, sit amet interdum eros facilisis non</div>
            <div class="box ">Aenean consectetur dolor tellus, at bibendum neque convallis vitae. Integer in faucibus justo. Nunc aliquet auctor dolor, eu pellentesque ex cursus id</div>
            <div class="box ">Sed sed fermentum tortor, tristique faucibus diam. Pellentesque gravida lobortis magna blandit pellentesque</div>
            <div class="box ">Proin finibus neque nec turpis scelerisque</div>
        </div>

        <h1>Flex with
            <code>align-items:stretch</code>
        </h1>
        <div class="container align-stretch">
            <div class="box ">Nullam egestas lacus est, sit amet interdum eros facilisis non</div>
            <div class="box " style="flex: 2;">Aenean consectetur dolor tellus, at bibendum neque convallis vitae. Integer in faucibus justo. Nunc aliquet auctor dolor, eu pellentesque ex cursus id</div>
            <div class="box ">Sed sed fermentum tortor, tristique faucibus diam. Pellentesque gravida lobortis magna blandit pellentesque</div>
            <div class="box " >Proin finibus neque nec turpis scelerisque</div>
        </div>
    </body>
</html>
